| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
SignatureFlowOptions Interface Reference
UIExtension

An interface that describes all configuration options of customize the signature flow. More...

## Public Member Functions
Function | getSigner (callback:(signField:ISignatureField)=>Promise< void >)
| Get the signer information of the signature. More...
Function | showSignatureProperty (callback:(signField:PDFFormField)=>Promise< void >)
| Customize the signature property dialog flow. More...
Function | showVerificationInfo (callback:(signField:ISignatureField)=>Promise< void >)
| Customize the verification information dialog flow. More...
Function | sign (callback:(signField:ISignatureField)=>Promise< SignatureInfomation >)
| Customize the signing flow. More...
Function | verify (callback:(signField:ISignatureField)=>Promise< void >)
| Customize the verification flow. More...

## Detailed Description

An interface that describes all configuration options of customize the signature flow.

Since
  9.1.0

## Member Function Documentation

## ◆ getSigner()

Function getSigner | ( | callback:(signField:ISignatureField) | ,
|  | Promise< void > |
| ) |  |

Get the signer information of the signature.

Note
  If you want to customize the signer information of the signature, you should implement this method.

Parameters

  callback | (signField:ISignatureField)=>Promise<void> - Triggered when showing the properity of the specified signature.

Since
  10.0.0

## ◆ showSignatureProperty()

Function showSignatureProperty | ( | callback:(signField:PDFFormField) | ,
|  | Promise< void > |
| ) |  |

Customize the signature property dialog flow.

Note
  If you want to customize the signature properties dialog, you should implement this method, and you also need to implement the 'verify' method.

Parameters

  callback | (signField:ISignatureField)=>Promise<void> - Triggered when showing the properity of the specified signature.

Since
  9.1.0

## ◆ showVerificationInfo()

Function showVerificationInfo | ( | callback:(signField:ISignatureField) | ,
|  | Promise< void > |
| ) |  |

Customize the verification information dialog flow.

Note
  If you want to customize the dialog for the result of verifying signature, you should implement this method, and you also need to implement the 'verify' method.

Parameters

  callback | (signField:ISignatureField)=>Promise<void> - Triggered When verifying the specified signed field.

Since
  9.1.0

## ◆ sign()

Function sign | ( | callback:(signField:ISignatureField) | ,
|  | Promise< SignatureInfomation > |
| ) |  |

Customize the signing flow.

Parameters

  callback | (signField:ISignatureField)=>Promise<SignatureInfomation> - Triggered when a new unsigned field is selected.

Since
  9.1.0

## ◆ verify()

Function verify | ( | callback:(signField:ISignatureField) | ,
|  | Promise< void > |
| ) |  |

Customize the verification flow.

Parameters

  callback | (signField:ISignatureField)=>Promise<void> - Triggered when a signed field is selected.

Since
  9.1.0

@2025 Foxit Software Incorporated. All rights reserved.